from sgr_ansi.ansi8 import *
from sgr_ansi._chain import Chain

VERSION = '0.0.5'
# use hard registered to avoid annoy warnings: `cannot find reference`
hard_registered = [
    'B', 'D', 'I', 'S', 'U',
    'BD', 'BI', 'BS', 'BU', 'DI',
    'DS', 'DU', 'IS', 'IU', 'SU',
    'BDI', 'BDS', 'BDU', 'BIS', 'BIU',
    'BSU', 'DIS', 'DIU', 'DSU', 'ISU',
    'BDIS', 'BDIU', 'BDSU', 'BISU', 'DISU',
    'BDISU', 'k', 'r', 'g', 'y',
    'b', 'm', 'c', 'w', 'kr',
    'kg', 'ky', 'kb', 'km', 'kc',
    'kw', 'rk', 'rg', 'ry', 'rb',
    'rm', 'rc', 'rw', 'gk', 'gr',
    'gy', 'gb', 'gm', 'gc', 'gw',
    'yk', 'yr', 'yg', 'yb', 'ym',
    'yc', 'yw', 'bk', 'br', 'bg',
    'by', 'bm', 'bc', 'bw', 'mk',
    'mr', 'mg', 'my', 'mb', 'mc',
    'mw', 'ck', 'cr', 'cg', 'cy',
    'cb', 'cm', 'cw', 'wk', 'wr',
    'wg', 'wy', 'wb', 'wm', 'wc',
    'Bk', 'Br', 'Bg', 'By', 'Bb',
    'Bm', 'Bc', 'Bw', 'Bkr', 'Bkg',
    'Bky', 'Bkb', 'Bkm', 'Bkc', 'Bkw',
    'Brk', 'Brg', 'Bry', 'Brb', 'Brm',
    'Brc', 'Brw', 'Bgk', 'Bgr', 'Bgy',
    'Bgb', 'Bgm', 'Bgc', 'Bgw', 'Byk',
    'Byr', 'Byg', 'Byb', 'Bym', 'Byc',
    'Byw', 'Bbk', 'Bbr', 'Bbg', 'Bby',
    'Bbm', 'Bbc', 'Bbw', 'Bmk', 'Bmr',
    'Bmg', 'Bmy', 'Bmb', 'Bmc', 'Bmw',
    'Bck', 'Bcr', 'Bcg', 'Bcy', 'Bcb',
    'Bcm', 'Bcw', 'Bwk', 'Bwr', 'Bwg',
    'Bwy', 'Bwb', 'Bwm', 'Bwc', 'Dk',
    'Dr', 'Dg', 'Dy', 'Db', 'Dm',
    'Dc', 'Dw', 'Dkr', 'Dkg', 'Dky',
    'Dkb', 'Dkm', 'Dkc', 'Dkw', 'Drk',
    'Drg', 'Dry', 'Drb', 'Drm', 'Drc',
    'Drw', 'Dgk', 'Dgr', 'Dgy', 'Dgb',
    'Dgm', 'Dgc', 'Dgw', 'Dyk', 'Dyr',
    'Dyg', 'Dyb', 'Dym', 'Dyc', 'Dyw',
    'Dbk', 'Dbr', 'Dbg', 'Dby', 'Dbm',
    'Dbc', 'Dbw', 'Dmk', 'Dmr', 'Dmg',
    'Dmy', 'Dmb', 'Dmc', 'Dmw', 'Dck',
    'Dcr', 'Dcg', 'Dcy', 'Dcb', 'Dcm',
    'Dcw', 'Dwk', 'Dwr', 'Dwg', 'Dwy',
    'Dwb', 'Dwm', 'Dwc', 'Ik', 'Ir',
    'Ig', 'Iy', 'Ib', 'Im', 'Ic',
    'Iw', 'Ikr', 'Ikg', 'Iky', 'Ikb',
    'Ikm', 'Ikc', 'Ikw', 'Irk', 'Irg',
    'Iry', 'Irb', 'Irm', 'Irc', 'Irw',
    'Igk', 'Igr', 'Igy', 'Igb', 'Igm',
    'Igc', 'Igw', 'Iyk', 'Iyr', 'Iyg',
    'Iyb', 'Iym', 'Iyc', 'Iyw', 'Ibk',
    'Ibr', 'Ibg', 'Iby', 'Ibm', 'Ibc',
    'Ibw', 'Imk', 'Imr', 'Img', 'Imy',
    'Imb', 'Imc', 'Imw', 'Ick', 'Icr',
    'Icg', 'Icy', 'Icb', 'Icm', 'Icw',
    'Iwk', 'Iwr', 'Iwg', 'Iwy', 'Iwb',
    'Iwm', 'Iwc', 'Sk', 'Sr', 'Sg',
    'Sy', 'Sb', 'Sm', 'Sc', 'Sw',
    'Skr', 'Skg', 'Sky', 'Skb', 'Skm',
    'Skc', 'Skw', 'Srk', 'Srg', 'Sry',
    'Srb', 'Srm', 'Src', 'Srw', 'Sgk',
    'Sgr', 'Sgy', 'Sgb', 'Sgm', 'Sgc',
    'Sgw', 'Syk', 'Syr', 'Syg', 'Syb',
    'Sym', 'Syc', 'Syw', 'Sbk', 'Sbr',
    'Sbg', 'Sby', 'Sbm', 'Sbc', 'Sbw',
    'Smk', 'Smr', 'Smg', 'Smy', 'Smb',
    'Smc', 'Smw', 'Sck', 'Scr', 'Scg',
    'Scy', 'Scb', 'Scm', 'Scw', 'Swk',
    'Swr', 'Swg', 'Swy', 'Swb', 'Swm',
    'Swc', 'Uk', 'Ur', 'Ug', 'Uy',
    'Ub', 'Um', 'Uc', 'Uw', 'Ukr',
    'Ukg', 'Uky', 'Ukb', 'Ukm', 'Ukc',
    'Ukw', 'Urk', 'Urg', 'Ury', 'Urb',
    'Urm', 'Urc', 'Urw', 'Ugk', 'Ugr',
    'Ugy', 'Ugb', 'Ugm', 'Ugc', 'Ugw',
    'Uyk', 'Uyr', 'Uyg', 'Uyb', 'Uym',
    'Uyc', 'Uyw', 'Ubk', 'Ubr', 'Ubg',
    'Uby', 'Ubm', 'Ubc', 'Ubw', 'Umk',
    'Umr', 'Umg', 'Umy', 'Umb', 'Umc',
    'Umw', 'Uck', 'Ucr', 'Ucg', 'Ucy',
    'Ucb', 'Ucm', 'Ucw', 'Uwk', 'Uwr',
    'Uwg', 'Uwy', 'Uwb', 'Uwm', 'Uwc',
    'BDk', 'BDr', 'BDg', 'BDy', 'BDb',
    'BDm', 'BDc', 'BDw', 'BDkr', 'BDkg',
    'BDky', 'BDkb', 'BDkm', 'BDkc', 'BDkw',
    'BDrk', 'BDrg', 'BDry', 'BDrb', 'BDrm',
    'BDrc', 'BDrw', 'BDgk', 'BDgr', 'BDgy',
    'BDgb', 'BDgm', 'BDgc', 'BDgw', 'BDyk',
    'BDyr', 'BDyg', 'BDyb', 'BDym', 'BDyc',
    'BDyw', 'BDbk', 'BDbr', 'BDbg', 'BDby',
    'BDbm', 'BDbc', 'BDbw', 'BDmk', 'BDmr',
    'BDmg', 'BDmy', 'BDmb', 'BDmc', 'BDmw',
    'BDck', 'BDcr', 'BDcg', 'BDcy', 'BDcb',
    'BDcm', 'BDcw', 'BDwk', 'BDwr', 'BDwg',
    'BDwy', 'BDwb', 'BDwm', 'BDwc', 'BIk',
    'BIr', 'BIg', 'BIy', 'BIb', 'BIm',
    'BIc', 'BIw', 'BIkr', 'BIkg', 'BIky',
    'BIkb', 'BIkm', 'BIkc', 'BIkw', 'BIrk',
    'BIrg', 'BIry', 'BIrb', 'BIrm', 'BIrc',
    'BIrw', 'BIgk', 'BIgr', 'BIgy', 'BIgb',
    'BIgm', 'BIgc', 'BIgw', 'BIyk', 'BIyr',
    'BIyg', 'BIyb', 'BIym', 'BIyc', 'BIyw',
    'BIbk', 'BIbr', 'BIbg', 'BIby', 'BIbm',
    'BIbc', 'BIbw', 'BImk', 'BImr', 'BImg',
    'BImy', 'BImb', 'BImc', 'BImw', 'BIck',
    'BIcr', 'BIcg', 'BIcy', 'BIcb', 'BIcm',
    'BIcw', 'BIwk', 'BIwr', 'BIwg', 'BIwy',
    'BIwb', 'BIwm', 'BIwc', 'BSk', 'BSr',
    'BSg', 'BSy', 'BSb', 'BSm', 'BSc',
    'BSw', 'BSkr', 'BSkg', 'BSky', 'BSkb',
    'BSkm', 'BSkc', 'BSkw', 'BSrk', 'BSrg',
    'BSry', 'BSrb', 'BSrm', 'BSrc', 'BSrw',
    'BSgk', 'BSgr', 'BSgy', 'BSgb', 'BSgm',
    'BSgc', 'BSgw', 'BSyk', 'BSyr', 'BSyg',
    'BSyb', 'BSym', 'BSyc', 'BSyw', 'BSbk',
    'BSbr', 'BSbg', 'BSby', 'BSbm', 'BSbc',
    'BSbw', 'BSmk', 'BSmr', 'BSmg', 'BSmy',
    'BSmb', 'BSmc', 'BSmw', 'BSck', 'BScr',
    'BScg', 'BScy', 'BScb', 'BScm', 'BScw',
    'BSwk', 'BSwr', 'BSwg', 'BSwy', 'BSwb',
    'BSwm', 'BSwc', 'BUk', 'BUr', 'BUg',
    'BUy', 'BUb', 'BUm', 'BUc', 'BUw',
    'BUkr', 'BUkg', 'BUky', 'BUkb', 'BUkm',
    'BUkc', 'BUkw', 'BUrk', 'BUrg', 'BUry',
    'BUrb', 'BUrm', 'BUrc', 'BUrw', 'BUgk',
    'BUgr', 'BUgy', 'BUgb', 'BUgm', 'BUgc',
    'BUgw', 'BUyk', 'BUyr', 'BUyg', 'BUyb',
    'BUym', 'BUyc', 'BUyw', 'BUbk', 'BUbr',
    'BUbg', 'BUby', 'BUbm', 'BUbc', 'BUbw',
    'BUmk', 'BUmr', 'BUmg', 'BUmy', 'BUmb',
    'BUmc', 'BUmw', 'BUck', 'BUcr', 'BUcg',
    'BUcy', 'BUcb', 'BUcm', 'BUcw', 'BUwk',
    'BUwr', 'BUwg', 'BUwy', 'BUwb', 'BUwm',
    'BUwc', 'DIk', 'DIr', 'DIg', 'DIy',
    'DIb', 'DIm', 'DIc', 'DIw', 'DIkr',
    'DIkg', 'DIky', 'DIkb', 'DIkm', 'DIkc',
    'DIkw', 'DIrk', 'DIrg', 'DIry', 'DIrb',
    'DIrm', 'DIrc', 'DIrw', 'DIgk', 'DIgr',
    'DIgy', 'DIgb', 'DIgm', 'DIgc', 'DIgw',
    'DIyk', 'DIyr', 'DIyg', 'DIyb', 'DIym',
    'DIyc', 'DIyw', 'DIbk', 'DIbr', 'DIbg',
    'DIby', 'DIbm', 'DIbc', 'DIbw', 'DImk',
    'DImr', 'DImg', 'DImy', 'DImb', 'DImc',
    'DImw', 'DIck', 'DIcr', 'DIcg', 'DIcy',
    'DIcb', 'DIcm', 'DIcw', 'DIwk', 'DIwr',
    'DIwg', 'DIwy', 'DIwb', 'DIwm', 'DIwc',
    'DSk', 'DSr', 'DSg', 'DSy', 'DSb',
    'DSm', 'DSc', 'DSw', 'DSkr', 'DSkg',
    'DSky', 'DSkb', 'DSkm', 'DSkc', 'DSkw',
    'DSrk', 'DSrg', 'DSry', 'DSrb', 'DSrm',
    'DSrc', 'DSrw', 'DSgk', 'DSgr', 'DSgy',
    'DSgb', 'DSgm', 'DSgc', 'DSgw', 'DSyk',
    'DSyr', 'DSyg', 'DSyb', 'DSym', 'DSyc',
    'DSyw', 'DSbk', 'DSbr', 'DSbg', 'DSby',
    'DSbm', 'DSbc', 'DSbw', 'DSmk', 'DSmr',
    'DSmg', 'DSmy', 'DSmb', 'DSmc', 'DSmw',
    'DSck', 'DScr', 'DScg', 'DScy', 'DScb',
    'DScm', 'DScw', 'DSwk', 'DSwr', 'DSwg',
    'DSwy', 'DSwb', 'DSwm', 'DSwc', 'DUk',
    'DUr', 'DUg', 'DUy', 'DUb', 'DUm',
    'DUc', 'DUw', 'DUkr', 'DUkg', 'DUky',
    'DUkb', 'DUkm', 'DUkc', 'DUkw', 'DUrk',
    'DUrg', 'DUry', 'DUrb', 'DUrm', 'DUrc',
    'DUrw', 'DUgk', 'DUgr', 'DUgy', 'DUgb',
    'DUgm', 'DUgc', 'DUgw', 'DUyk', 'DUyr',
    'DUyg', 'DUyb', 'DUym', 'DUyc', 'DUyw',
    'DUbk', 'DUbr', 'DUbg', 'DUby', 'DUbm',
    'DUbc', 'DUbw', 'DUmk', 'DUmr', 'DUmg',
    'DUmy', 'DUmb', 'DUmc', 'DUmw', 'DUck',
    'DUcr', 'DUcg', 'DUcy', 'DUcb', 'DUcm',
    'DUcw', 'DUwk', 'DUwr', 'DUwg', 'DUwy',
    'DUwb', 'DUwm', 'DUwc', 'ISk', 'ISr',
    'ISg', 'ISy', 'ISb', 'ISm', 'ISc',
    'ISw', 'ISkr', 'ISkg', 'ISky', 'ISkb',
    'ISkm', 'ISkc', 'ISkw', 'ISrk', 'ISrg',
    'ISry', 'ISrb', 'ISrm', 'ISrc', 'ISrw',
    'ISgk', 'ISgr', 'ISgy', 'ISgb', 'ISgm',
    'ISgc', 'ISgw', 'ISyk', 'ISyr', 'ISyg',
    'ISyb', 'ISym', 'ISyc', 'ISyw', 'ISbk',
    'ISbr', 'ISbg', 'ISby', 'ISbm', 'ISbc',
    'ISbw', 'ISmk', 'ISmr', 'ISmg', 'ISmy',
    'ISmb', 'ISmc', 'ISmw', 'ISck', 'IScr',
    'IScg', 'IScy', 'IScb', 'IScm', 'IScw',
    'ISwk', 'ISwr', 'ISwg', 'ISwy', 'ISwb',
    'ISwm', 'ISwc', 'IUk', 'IUr', 'IUg',
    'IUy', 'IUb', 'IUm', 'IUc', 'IUw',
    'IUkr', 'IUkg', 'IUky', 'IUkb', 'IUkm',
    'IUkc', 'IUkw', 'IUrk', 'IUrg', 'IUry',
    'IUrb', 'IUrm', 'IUrc', 'IUrw', 'IUgk',
    'IUgr', 'IUgy', 'IUgb', 'IUgm', 'IUgc',
    'IUgw', 'IUyk', 'IUyr', 'IUyg', 'IUyb',
    'IUym', 'IUyc', 'IUyw', 'IUbk', 'IUbr',
    'IUbg', 'IUby', 'IUbm', 'IUbc', 'IUbw',
    'IUmk', 'IUmr', 'IUmg', 'IUmy', 'IUmb',
    'IUmc', 'IUmw', 'IUck', 'IUcr', 'IUcg',
    'IUcy', 'IUcb', 'IUcm', 'IUcw', 'IUwk',
    'IUwr', 'IUwg', 'IUwy', 'IUwb', 'IUwm',
    'IUwc', 'SUk', 'SUr', 'SUg', 'SUy',
    'SUb', 'SUm', 'SUc', 'SUw', 'SUkr',
    'SUkg', 'SUky', 'SUkb', 'SUkm', 'SUkc',
    'SUkw', 'SUrk', 'SUrg', 'SUry', 'SUrb',
    'SUrm', 'SUrc', 'SUrw', 'SUgk', 'SUgr',
    'SUgy', 'SUgb', 'SUgm', 'SUgc', 'SUgw',
    'SUyk', 'SUyr', 'SUyg', 'SUyb', 'SUym',
    'SUyc', 'SUyw', 'SUbk', 'SUbr', 'SUbg',
    'SUby', 'SUbm', 'SUbc', 'SUbw', 'SUmk',
    'SUmr', 'SUmg', 'SUmy', 'SUmb', 'SUmc',
    'SUmw', 'SUck', 'SUcr', 'SUcg', 'SUcy',
    'SUcb', 'SUcm', 'SUcw', 'SUwk', 'SUwr',
    'SUwg', 'SUwy', 'SUwb', 'SUwm', 'SUwc',
    'BDIk', 'BDIr', 'BDIg', 'BDIy', 'BDIb',
    'BDIm', 'BDIc', 'BDIw', 'BDIkr', 'BDIkg',
    'BDIky', 'BDIkb', 'BDIkm', 'BDIkc', 'BDIkw',
    'BDIrk', 'BDIrg', 'BDIry', 'BDIrb', 'BDIrm',
    'BDIrc', 'BDIrw', 'BDIgk', 'BDIgr', 'BDIgy',
    'BDIgb', 'BDIgm', 'BDIgc', 'BDIgw', 'BDIyk',
    'BDIyr', 'BDIyg', 'BDIyb', 'BDIym', 'BDIyc',
    'BDIyw', 'BDIbk', 'BDIbr', 'BDIbg', 'BDIby',
    'BDIbm', 'BDIbc', 'BDIbw', 'BDImk', 'BDImr',
    'BDImg', 'BDImy', 'BDImb', 'BDImc', 'BDImw',
    'BDIck', 'BDIcr', 'BDIcg', 'BDIcy', 'BDIcb',
    'BDIcm', 'BDIcw', 'BDIwk', 'BDIwr', 'BDIwg',
    'BDIwy', 'BDIwb', 'BDIwm', 'BDIwc', 'BDSk',
    'BDSr', 'BDSg', 'BDSy', 'BDSb', 'BDSm',
    'BDSc', 'BDSw', 'BDSkr', 'BDSkg', 'BDSky',
    'BDSkb', 'BDSkm', 'BDSkc', 'BDSkw', 'BDSrk',
    'BDSrg', 'BDSry', 'BDSrb', 'BDSrm', 'BDSrc',
    'BDSrw', 'BDSgk', 'BDSgr', 'BDSgy', 'BDSgb',
    'BDSgm', 'BDSgc', 'BDSgw', 'BDSyk', 'BDSyr',
    'BDSyg', 'BDSyb', 'BDSym', 'BDSyc', 'BDSyw',
    'BDSbk', 'BDSbr', 'BDSbg', 'BDSby', 'BDSbm',
    'BDSbc', 'BDSbw', 'BDSmk', 'BDSmr', 'BDSmg',
    'BDSmy', 'BDSmb', 'BDSmc', 'BDSmw', 'BDSck',
    'BDScr', 'BDScg', 'BDScy', 'BDScb', 'BDScm',
    'BDScw', 'BDSwk', 'BDSwr', 'BDSwg', 'BDSwy',
    'BDSwb', 'BDSwm', 'BDSwc', 'BDUk', 'BDUr',
    'BDUg', 'BDUy', 'BDUb', 'BDUm', 'BDUc',
    'BDUw', 'BDUkr', 'BDUkg', 'BDUky', 'BDUkb',
    'BDUkm', 'BDUkc', 'BDUkw', 'BDUrk', 'BDUrg',
    'BDUry', 'BDUrb', 'BDUrm', 'BDUrc', 'BDUrw',
    'BDUgk', 'BDUgr', 'BDUgy', 'BDUgb', 'BDUgm',
    'BDUgc', 'BDUgw', 'BDUyk', 'BDUyr', 'BDUyg',
    'BDUyb', 'BDUym', 'BDUyc', 'BDUyw', 'BDUbk',
    'BDUbr', 'BDUbg', 'BDUby', 'BDUbm', 'BDUbc',
    'BDUbw', 'BDUmk', 'BDUmr', 'BDUmg', 'BDUmy',
    'BDUmb', 'BDUmc', 'BDUmw', 'BDUck', 'BDUcr',
    'BDUcg', 'BDUcy', 'BDUcb', 'BDUcm', 'BDUcw',
    'BDUwk', 'BDUwr', 'BDUwg', 'BDUwy', 'BDUwb',
    'BDUwm', 'BDUwc', 'BISk', 'BISr', 'BISg',
    'BISy', 'BISb', 'BISm', 'BISc', 'BISw',
    'BISkr', 'BISkg', 'BISky', 'BISkb', 'BISkm',
    'BISkc', 'BISkw', 'BISrk', 'BISrg', 'BISry',
    'BISrb', 'BISrm', 'BISrc', 'BISrw', 'BISgk',
    'BISgr', 'BISgy', 'BISgb', 'BISgm', 'BISgc',
    'BISgw', 'BISyk', 'BISyr', 'BISyg', 'BISyb',
    'BISym', 'BISyc', 'BISyw', 'BISbk', 'BISbr',
    'BISbg', 'BISby', 'BISbm', 'BISbc', 'BISbw',
    'BISmk', 'BISmr', 'BISmg', 'BISmy', 'BISmb',
    'BISmc', 'BISmw', 'BISck', 'BIScr', 'BIScg',
    'BIScy', 'BIScb', 'BIScm', 'BIScw', 'BISwk',
    'BISwr', 'BISwg', 'BISwy', 'BISwb', 'BISwm',
    'BISwc', 'BIUk', 'BIUr', 'BIUg', 'BIUy',
    'BIUb', 'BIUm', 'BIUc', 'BIUw', 'BIUkr',
    'BIUkg', 'BIUky', 'BIUkb', 'BIUkm', 'BIUkc',
    'BIUkw', 'BIUrk', 'BIUrg', 'BIUry', 'BIUrb',
    'BIUrm', 'BIUrc', 'BIUrw', 'BIUgk', 'BIUgr',
    'BIUgy', 'BIUgb', 'BIUgm', 'BIUgc', 'BIUgw',
    'BIUyk', 'BIUyr', 'BIUyg', 'BIUyb', 'BIUym',
    'BIUyc', 'BIUyw', 'BIUbk', 'BIUbr', 'BIUbg',
    'BIUby', 'BIUbm', 'BIUbc', 'BIUbw', 'BIUmk',
    'BIUmr', 'BIUmg', 'BIUmy', 'BIUmb', 'BIUmc',
    'BIUmw', 'BIUck', 'BIUcr', 'BIUcg', 'BIUcy',
    'BIUcb', 'BIUcm', 'BIUcw', 'BIUwk', 'BIUwr',
    'BIUwg', 'BIUwy', 'BIUwb', 'BIUwm', 'BIUwc',
    'BSUk', 'BSUr', 'BSUg', 'BSUy', 'BSUb',
    'BSUm', 'BSUc', 'BSUw', 'BSUkr', 'BSUkg',
    'BSUky', 'BSUkb', 'BSUkm', 'BSUkc', 'BSUkw',
    'BSUrk', 'BSUrg', 'BSUry', 'BSUrb', 'BSUrm',
    'BSUrc', 'BSUrw', 'BSUgk', 'BSUgr', 'BSUgy',
    'BSUgb', 'BSUgm', 'BSUgc', 'BSUgw', 'BSUyk',
    'BSUyr', 'BSUyg', 'BSUyb', 'BSUym', 'BSUyc',
    'BSUyw', 'BSUbk', 'BSUbr', 'BSUbg', 'BSUby',
    'BSUbm', 'BSUbc', 'BSUbw', 'BSUmk', 'BSUmr',
    'BSUmg', 'BSUmy', 'BSUmb', 'BSUmc', 'BSUmw',
    'BSUck', 'BSUcr', 'BSUcg', 'BSUcy', 'BSUcb',
    'BSUcm', 'BSUcw', 'BSUwk', 'BSUwr', 'BSUwg',
    'BSUwy', 'BSUwb', 'BSUwm', 'BSUwc', 'DISk',
    'DISr', 'DISg', 'DISy', 'DISb', 'DISm',
    'DISc', 'DISw', 'DISkr', 'DISkg', 'DISky',
    'DISkb', 'DISkm', 'DISkc', 'DISkw', 'DISrk',
    'DISrg', 'DISry', 'DISrb', 'DISrm', 'DISrc',
    'DISrw', 'DISgk', 'DISgr', 'DISgy', 'DISgb',
    'DISgm', 'DISgc', 'DISgw', 'DISyk', 'DISyr',
    'DISyg', 'DISyb', 'DISym', 'DISyc', 'DISyw',
    'DISbk', 'DISbr', 'DISbg', 'DISby', 'DISbm',
    'DISbc', 'DISbw', 'DISmk', 'DISmr', 'DISmg',
    'DISmy', 'DISmb', 'DISmc', 'DISmw', 'DISck',
    'DIScr', 'DIScg', 'DIScy', 'DIScb', 'DIScm',
    'DIScw', 'DISwk', 'DISwr', 'DISwg', 'DISwy',
    'DISwb', 'DISwm', 'DISwc', 'DIUk', 'DIUr',
    'DIUg', 'DIUy', 'DIUb', 'DIUm', 'DIUc',
    'DIUw', 'DIUkr', 'DIUkg', 'DIUky', 'DIUkb',
    'DIUkm', 'DIUkc', 'DIUkw', 'DIUrk', 'DIUrg',
    'DIUry', 'DIUrb', 'DIUrm', 'DIUrc', 'DIUrw',
    'DIUgk', 'DIUgr', 'DIUgy', 'DIUgb', 'DIUgm',
    'DIUgc', 'DIUgw', 'DIUyk', 'DIUyr', 'DIUyg',
    'DIUyb', 'DIUym', 'DIUyc', 'DIUyw', 'DIUbk',
    'DIUbr', 'DIUbg', 'DIUby', 'DIUbm', 'DIUbc',
    'DIUbw', 'DIUmk', 'DIUmr', 'DIUmg', 'DIUmy',
    'DIUmb', 'DIUmc', 'DIUmw', 'DIUck', 'DIUcr',
    'DIUcg', 'DIUcy', 'DIUcb', 'DIUcm', 'DIUcw',
    'DIUwk', 'DIUwr', 'DIUwg', 'DIUwy', 'DIUwb',
    'DIUwm', 'DIUwc', 'DSUk', 'DSUr', 'DSUg',
    'DSUy', 'DSUb', 'DSUm', 'DSUc', 'DSUw',
    'DSUkr', 'DSUkg', 'DSUky', 'DSUkb', 'DSUkm',
    'DSUkc', 'DSUkw', 'DSUrk', 'DSUrg', 'DSUry',
    'DSUrb', 'DSUrm', 'DSUrc', 'DSUrw', 'DSUgk',
    'DSUgr', 'DSUgy', 'DSUgb', 'DSUgm', 'DSUgc',
    'DSUgw', 'DSUyk', 'DSUyr', 'DSUyg', 'DSUyb',
    'DSUym', 'DSUyc', 'DSUyw', 'DSUbk', 'DSUbr',
    'DSUbg', 'DSUby', 'DSUbm', 'DSUbc', 'DSUbw',
    'DSUmk', 'DSUmr', 'DSUmg', 'DSUmy', 'DSUmb',
    'DSUmc', 'DSUmw', 'DSUck', 'DSUcr', 'DSUcg',
    'DSUcy', 'DSUcb', 'DSUcm', 'DSUcw', 'DSUwk',
    'DSUwr', 'DSUwg', 'DSUwy', 'DSUwb', 'DSUwm',
    'DSUwc', 'ISUk', 'ISUr', 'ISUg', 'ISUy',
    'ISUb', 'ISUm', 'ISUc', 'ISUw', 'ISUkr',
    'ISUkg', 'ISUky', 'ISUkb', 'ISUkm', 'ISUkc',
    'ISUkw', 'ISUrk', 'ISUrg', 'ISUry', 'ISUrb',
    'ISUrm', 'ISUrc', 'ISUrw', 'ISUgk', 'ISUgr',
    'ISUgy', 'ISUgb', 'ISUgm', 'ISUgc', 'ISUgw',
    'ISUyk', 'ISUyr', 'ISUyg', 'ISUyb', 'ISUym',
    'ISUyc', 'ISUyw', 'ISUbk', 'ISUbr', 'ISUbg',
    'ISUby', 'ISUbm', 'ISUbc', 'ISUbw', 'ISUmk',
    'ISUmr', 'ISUmg', 'ISUmy', 'ISUmb', 'ISUmc',
    'ISUmw', 'ISUck', 'ISUcr', 'ISUcg', 'ISUcy',
    'ISUcb', 'ISUcm', 'ISUcw', 'ISUwk', 'ISUwr',
    'ISUwg', 'ISUwy', 'ISUwb', 'ISUwm', 'ISUwc',
    'BDISk', 'BDISr', 'BDISg', 'BDISy', 'BDISb',
    'BDISm', 'BDISc', 'BDISw', 'BDISkr', 'BDISkg',
    'BDISky', 'BDISkb', 'BDISkm', 'BDISkc', 'BDISkw',
    'BDISrk', 'BDISrg', 'BDISry', 'BDISrb', 'BDISrm',
    'BDISrc', 'BDISrw', 'BDISgk', 'BDISgr', 'BDISgy',
    'BDISgb', 'BDISgm', 'BDISgc', 'BDISgw', 'BDISyk',
    'BDISyr', 'BDISyg', 'BDISyb', 'BDISym', 'BDISyc',
    'BDISyw', 'BDISbk', 'BDISbr', 'BDISbg', 'BDISby',
    'BDISbm', 'BDISbc', 'BDISbw', 'BDISmk', 'BDISmr',
    'BDISmg', 'BDISmy', 'BDISmb', 'BDISmc', 'BDISmw',
    'BDISck', 'BDIScr', 'BDIScg', 'BDIScy', 'BDIScb',
    'BDIScm', 'BDIScw', 'BDISwk', 'BDISwr', 'BDISwg',
    'BDISwy', 'BDISwb', 'BDISwm', 'BDISwc', 'BDIUk',
    'BDIUr', 'BDIUg', 'BDIUy', 'BDIUb', 'BDIUm',
    'BDIUc', 'BDIUw', 'BDIUkr', 'BDIUkg', 'BDIUky',
    'BDIUkb', 'BDIUkm', 'BDIUkc', 'BDIUkw', 'BDIUrk',
    'BDIUrg', 'BDIUry', 'BDIUrb', 'BDIUrm', 'BDIUrc',
    'BDIUrw', 'BDIUgk', 'BDIUgr', 'BDIUgy', 'BDIUgb',
    'BDIUgm', 'BDIUgc', 'BDIUgw', 'BDIUyk', 'BDIUyr',
    'BDIUyg', 'BDIUyb', 'BDIUym', 'BDIUyc', 'BDIUyw',
    'BDIUbk', 'BDIUbr', 'BDIUbg', 'BDIUby', 'BDIUbm',
    'BDIUbc', 'BDIUbw', 'BDIUmk', 'BDIUmr', 'BDIUmg',
    'BDIUmy', 'BDIUmb', 'BDIUmc', 'BDIUmw', 'BDIUck',
    'BDIUcr', 'BDIUcg', 'BDIUcy', 'BDIUcb', 'BDIUcm',
    'BDIUcw', 'BDIUwk', 'BDIUwr', 'BDIUwg', 'BDIUwy',
    'BDIUwb', 'BDIUwm', 'BDIUwc', 'BDSUk', 'BDSUr',
    'BDSUg', 'BDSUy', 'BDSUb', 'BDSUm', 'BDSUc',
    'BDSUw', 'BDSUkr', 'BDSUkg', 'BDSUky', 'BDSUkb',
    'BDSUkm', 'BDSUkc', 'BDSUkw', 'BDSUrk', 'BDSUrg',
    'BDSUry', 'BDSUrb', 'BDSUrm', 'BDSUrc', 'BDSUrw',
    'BDSUgk', 'BDSUgr', 'BDSUgy', 'BDSUgb', 'BDSUgm',
    'BDSUgc', 'BDSUgw', 'BDSUyk', 'BDSUyr', 'BDSUyg',
    'BDSUyb', 'BDSUym', 'BDSUyc', 'BDSUyw', 'BDSUbk',
    'BDSUbr', 'BDSUbg', 'BDSUby', 'BDSUbm', 'BDSUbc',
    'BDSUbw', 'BDSUmk', 'BDSUmr', 'BDSUmg', 'BDSUmy',
    'BDSUmb', 'BDSUmc', 'BDSUmw', 'BDSUck', 'BDSUcr',
    'BDSUcg', 'BDSUcy', 'BDSUcb', 'BDSUcm', 'BDSUcw',
    'BDSUwk', 'BDSUwr', 'BDSUwg', 'BDSUwy', 'BDSUwb',
    'BDSUwm', 'BDSUwc', 'BISUk', 'BISUr', 'BISUg',
    'BISUy', 'BISUb', 'BISUm', 'BISUc', 'BISUw',
    'BISUkr', 'BISUkg', 'BISUky', 'BISUkb', 'BISUkm',
    'BISUkc', 'BISUkw', 'BISUrk', 'BISUrg', 'BISUry',
    'BISUrb', 'BISUrm', 'BISUrc', 'BISUrw', 'BISUgk',
    'BISUgr', 'BISUgy', 'BISUgb', 'BISUgm', 'BISUgc',
    'BISUgw', 'BISUyk', 'BISUyr', 'BISUyg', 'BISUyb',
    'BISUym', 'BISUyc', 'BISUyw', 'BISUbk', 'BISUbr',
    'BISUbg', 'BISUby', 'BISUbm', 'BISUbc', 'BISUbw',
    'BISUmk', 'BISUmr', 'BISUmg', 'BISUmy', 'BISUmb',
    'BISUmc', 'BISUmw', 'BISUck', 'BISUcr', 'BISUcg',
    'BISUcy', 'BISUcb', 'BISUcm', 'BISUcw', 'BISUwk',
    'BISUwr', 'BISUwg', 'BISUwy', 'BISUwb', 'BISUwm',
    'BISUwc', 'DISUk', 'DISUr', 'DISUg', 'DISUy',
    'DISUb', 'DISUm', 'DISUc', 'DISUw', 'DISUkr',
    'DISUkg', 'DISUky', 'DISUkb', 'DISUkm', 'DISUkc',
    'DISUkw', 'DISUrk', 'DISUrg', 'DISUry', 'DISUrb',
    'DISUrm', 'DISUrc', 'DISUrw', 'DISUgk', 'DISUgr',
    'DISUgy', 'DISUgb', 'DISUgm', 'DISUgc', 'DISUgw',
    'DISUyk', 'DISUyr', 'DISUyg', 'DISUyb', 'DISUym',
    'DISUyc', 'DISUyw', 'DISUbk', 'DISUbr', 'DISUbg',
    'DISUby', 'DISUbm', 'DISUbc', 'DISUbw', 'DISUmk',
    'DISUmr', 'DISUmg', 'DISUmy', 'DISUmb', 'DISUmc',
    'DISUmw', 'DISUck', 'DISUcr', 'DISUcg', 'DISUcy',
    'DISUcb', 'DISUcm', 'DISUcw', 'DISUwk', 'DISUwr',
    'DISUwg', 'DISUwy', 'DISUwb', 'DISUwm', 'DISUwc',
    'BDISUk', 'BDISUr', 'BDISUg', 'BDISUy', 'BDISUb',
    'BDISUm', 'BDISUc', 'BDISUw', 'BDISUkr', 'BDISUkg',
    'BDISUky', 'BDISUkb', 'BDISUkm', 'BDISUkc', 'BDISUkw',
    'BDISUrk', 'BDISUrg', 'BDISUry', 'BDISUrb', 'BDISUrm',
    'BDISUrc', 'BDISUrw', 'BDISUgk', 'BDISUgr', 'BDISUgy',
    'BDISUgb', 'BDISUgm', 'BDISUgc', 'BDISUgw', 'BDISUyk',
    'BDISUyr', 'BDISUyg', 'BDISUyb', 'BDISUym', 'BDISUyc',
    'BDISUyw', 'BDISUbk', 'BDISUbr', 'BDISUbg', 'BDISUby',
    'BDISUbm', 'BDISUbc', 'BDISUbw', 'BDISUmk', 'BDISUmr',
    'BDISUmg', 'BDISUmy', 'BDISUmb', 'BDISUmc', 'BDISUmw',
    'BDISUck', 'BDISUcr', 'BDISUcg', 'BDISUcy', 'BDISUcb',
    'BDISUcm', 'BDISUcw', 'BDISUwk', 'BDISUwr', 'BDISUwg',
    'BDISUwy', 'BDISUwb', 'BDISUwm', 'BDISUwc',
    'B_', 'D_', 'I_', 'S_', 'U_',
    'BD_', 'BI_', 'BS_', 'BU_', 'DI_',
    'DS_', 'DU_', 'IS_', 'IU_', 'SU_',
    'BDI_', 'BDS_', 'BDU_', 'BIS_', 'BIU_',
    'BSU_', 'DIS_', 'DIU_', 'DSU_', 'ISU_',
    'BDIS_', 'BDIU_', 'BDSU_', 'BISU_', 'DISU_',
    'BDISU_', 'k_', 'r_', 'g_', 'y_',
    'b_', 'm_', 'c_', 'w_', 'kr_',
    'kg_', 'ky_', 'kb_', 'km_', 'kc_',
    'kw_', 'rk_', 'rg_', 'ry_', 'rb_',
    'rm_', 'rc_', 'rw_', 'gk_', 'gr_',
    'gy_', 'gb_', 'gm_', 'gc_', 'gw_',
    'yk_', 'yr_', 'yg_', 'yb_', 'ym_',
    'yc_', 'yw_', 'bk_', 'br_', 'bg_',
    'by_', 'bm_', 'bc_', 'bw_', 'mk_',
    'mr_', 'mg_', 'my_', 'mb_', 'mc_',
    'mw_', 'ck_', 'cr_', 'cg_', 'cy_',
    'cb_', 'cm_', 'cw_', 'wk_', 'wr_',
    'wg_', 'wy_', 'wb_', 'wm_', 'wc_',
    'Bk_', 'Br_', 'Bg_', 'By_', 'Bb_',
    'Bm_', 'Bc_', 'Bw_', 'Bkr_', 'Bkg_',
    'Bky_', 'Bkb_', 'Bkm_', 'Bkc_', 'Bkw_',
    'Brk_', 'Brg_', 'Bry_', 'Brb_', 'Brm_',
    'Brc_', 'Brw_', 'Bgk_', 'Bgr_', 'Bgy_',
    'Bgb_', 'Bgm_', 'Bgc_', 'Bgw_', 'Byk_',
    'Byr_', 'Byg_', 'Byb_', 'Bym_', 'Byc_',
    'Byw_', 'Bbk_', 'Bbr_', 'Bbg_', 'Bby_',
    'Bbm_', 'Bbc_', 'Bbw_', 'Bmk_', 'Bmr_',
    'Bmg_', 'Bmy_', 'Bmb_', 'Bmc_', 'Bmw_',
    'Bck_', 'Bcr_', 'Bcg_', 'Bcy_', 'Bcb_',
    'Bcm_', 'Bcw_', 'Bwk_', 'Bwr_', 'Bwg_',
    'Bwy_', 'Bwb_', 'Bwm_', 'Bwc_', 'Dk_',
    'Dr_', 'Dg_', 'Dy_', 'Db_', 'Dm_',
    'Dc_', 'Dw_', 'Dkr_', 'Dkg_', 'Dky_',
    'Dkb_', 'Dkm_', 'Dkc_', 'Dkw_', 'Drk_',
    'Drg_', 'Dry_', 'Drb_', 'Drm_', 'Drc_',
    'Drw_', 'Dgk_', 'Dgr_', 'Dgy_', 'Dgb_',
    'Dgm_', 'Dgc_', 'Dgw_', 'Dyk_', 'Dyr_',
    'Dyg_', 'Dyb_', 'Dym_', 'Dyc_', 'Dyw_',
    'Dbk_', 'Dbr_', 'Dbg_', 'Dby_', 'Dbm_',
    'Dbc_', 'Dbw_', 'Dmk_', 'Dmr_', 'Dmg_',
    'Dmy_', 'Dmb_', 'Dmc_', 'Dmw_', 'Dck_',
    'Dcr_', 'Dcg_', 'Dcy_', 'Dcb_', 'Dcm_',
    'Dcw_', 'Dwk_', 'Dwr_', 'Dwg_', 'Dwy_',
    'Dwb_', 'Dwm_', 'Dwc_', 'Ik_', 'Ir_',
    'Ig_', 'Iy_', 'Ib_', 'Im_', 'Ic_',
    'Iw_', 'Ikr_', 'Ikg_', 'Iky_', 'Ikb_',
    'Ikm_', 'Ikc_', 'Ikw_', 'Irk_', 'Irg_',
    'Iry_', 'Irb_', 'Irm_', 'Irc_', 'Irw_',
    'Igk_', 'Igr_', 'Igy_', 'Igb_', 'Igm_',
    'Igc_', 'Igw_', 'Iyk_', 'Iyr_', 'Iyg_',
    'Iyb_', 'Iym_', 'Iyc_', 'Iyw_', 'Ibk_',
    'Ibr_', 'Ibg_', 'Iby_', 'Ibm_', 'Ibc_',
    'Ibw_', 'Imk_', 'Imr_', 'Img_', 'Imy_',
    'Imb_', 'Imc_', 'Imw_', 'Ick_', 'Icr_',
    'Icg_', 'Icy_', 'Icb_', 'Icm_', 'Icw_',
    'Iwk_', 'Iwr_', 'Iwg_', 'Iwy_', 'Iwb_',
    'Iwm_', 'Iwc_', 'Sk_', 'Sr_', 'Sg_',
    'Sy_', 'Sb_', 'Sm_', 'Sc_', 'Sw_',
    'Skr_', 'Skg_', 'Sky_', 'Skb_', 'Skm_',
    'Skc_', 'Skw_', 'Srk_', 'Srg_', 'Sry_',
    'Srb_', 'Srm_', 'Src_', 'Srw_', 'Sgk_',
    'Sgr_', 'Sgy_', 'Sgb_', 'Sgm_', 'Sgc_',
    'Sgw_', 'Syk_', 'Syr_', 'Syg_', 'Syb_',
    'Sym_', 'Syc_', 'Syw_', 'Sbk_', 'Sbr_',
    'Sbg_', 'Sby_', 'Sbm_', 'Sbc_', 'Sbw_',
    'Smk_', 'Smr_', 'Smg_', 'Smy_', 'Smb_',
    'Smc_', 'Smw_', 'Sck_', 'Scr_', 'Scg_',
    'Scy_', 'Scb_', 'Scm_', 'Scw_', 'Swk_',
    'Swr_', 'Swg_', 'Swy_', 'Swb_', 'Swm_',
    'Swc_', 'Uk_', 'Ur_', 'Ug_', 'Uy_',
    'Ub_', 'Um_', 'Uc_', 'Uw_', 'Ukr_',
    'Ukg_', 'Uky_', 'Ukb_', 'Ukm_', 'Ukc_',
    'Ukw_', 'Urk_', 'Urg_', 'Ury_', 'Urb_',
    'Urm_', 'Urc_', 'Urw_', 'Ugk_', 'Ugr_',
    'Ugy_', 'Ugb_', 'Ugm_', 'Ugc_', 'Ugw_',
    'Uyk_', 'Uyr_', 'Uyg_', 'Uyb_', 'Uym_',
    'Uyc_', 'Uyw_', 'Ubk_', 'Ubr_', 'Ubg_',
    'Uby_', 'Ubm_', 'Ubc_', 'Ubw_', 'Umk_',
    'Umr_', 'Umg_', 'Umy_', 'Umb_', 'Umc_',
    'Umw_', 'Uck_', 'Ucr_', 'Ucg_', 'Ucy_',
    'Ucb_', 'Ucm_', 'Ucw_', 'Uwk_', 'Uwr_',
    'Uwg_', 'Uwy_', 'Uwb_', 'Uwm_', 'Uwc_',
    'BDk_', 'BDr_', 'BDg_', 'BDy_', 'BDb_',
    'BDm_', 'BDc_', 'BDw_', 'BDkr_', 'BDkg_',
    'BDky_', 'BDkb_', 'BDkm_', 'BDkc_', 'BDkw_',
    'BDrk_', 'BDrg_', 'BDry_', 'BDrb_', 'BDrm_',
    'BDrc_', 'BDrw_', 'BDgk_', 'BDgr_', 'BDgy_',
    'BDgb_', 'BDgm_', 'BDgc_', 'BDgw_', 'BDyk_',
    'BDyr_', 'BDyg_', 'BDyb_', 'BDym_', 'BDyc_',
    'BDyw_', 'BDbk_', 'BDbr_', 'BDbg_', 'BDby_',
    'BDbm_', 'BDbc_', 'BDbw_', 'BDmk_', 'BDmr_',
    'BDmg_', 'BDmy_', 'BDmb_', 'BDmc_', 'BDmw_',
    'BDck_', 'BDcr_', 'BDcg_', 'BDcy_', 'BDcb_',
    'BDcm_', 'BDcw_', 'BDwk_', 'BDwr_', 'BDwg_',
    'BDwy_', 'BDwb_', 'BDwm_', 'BDwc_', 'BIk_',
    'BIr_', 'BIg_', 'BIy_', 'BIb_', 'BIm_',
    'BIc_', 'BIw_', 'BIkr_', 'BIkg_', 'BIky_',
    'BIkb_', 'BIkm_', 'BIkc_', 'BIkw_', 'BIrk_',
    'BIrg_', 'BIry_', 'BIrb_', 'BIrm_', 'BIrc_',
    'BIrw_', 'BIgk_', 'BIgr_', 'BIgy_', 'BIgb_',
    'BIgm_', 'BIgc_', 'BIgw_', 'BIyk_', 'BIyr_',
    'BIyg_', 'BIyb_', 'BIym_', 'BIyc_', 'BIyw_',
    'BIbk_', 'BIbr_', 'BIbg_', 'BIby_', 'BIbm_',
    'BIbc_', 'BIbw_', 'BImk_', 'BImr_', 'BImg_',
    'BImy_', 'BImb_', 'BImc_', 'BImw_', 'BIck_',
    'BIcr_', 'BIcg_', 'BIcy_', 'BIcb_', 'BIcm_',
    'BIcw_', 'BIwk_', 'BIwr_', 'BIwg_', 'BIwy_',
    'BIwb_', 'BIwm_', 'BIwc_', 'BSk_', 'BSr_',
    'BSg_', 'BSy_', 'BSb_', 'BSm_', 'BSc_',
    'BSw_', 'BSkr_', 'BSkg_', 'BSky_', 'BSkb_',
    'BSkm_', 'BSkc_', 'BSkw_', 'BSrk_', 'BSrg_',
    'BSry_', 'BSrb_', 'BSrm_', 'BSrc_', 'BSrw_',
    'BSgk_', 'BSgr_', 'BSgy_', 'BSgb_', 'BSgm_',
    'BSgc_', 'BSgw_', 'BSyk_', 'BSyr_', 'BSyg_',
    'BSyb_', 'BSym_', 'BSyc_', 'BSyw_', 'BSbk_',
    'BSbr_', 'BSbg_', 'BSby_', 'BSbm_', 'BSbc_',
    'BSbw_', 'BSmk_', 'BSmr_', 'BSmg_', 'BSmy_',
    'BSmb_', 'BSmc_', 'BSmw_', 'BSck_', 'BScr_',
    'BScg_', 'BScy_', 'BScb_', 'BScm_', 'BScw_',
    'BSwk_', 'BSwr_', 'BSwg_', 'BSwy_', 'BSwb_',
    'BSwm_', 'BSwc_', 'BUk_', 'BUr_', 'BUg_',
    'BUy_', 'BUb_', 'BUm_', 'BUc_', 'BUw_',
    'BUkr_', 'BUkg_', 'BUky_', 'BUkb_', 'BUkm_',
    'BUkc_', 'BUkw_', 'BUrk_', 'BUrg_', 'BUry_',
    'BUrb_', 'BUrm_', 'BUrc_', 'BUrw_', 'BUgk_',
    'BUgr_', 'BUgy_', 'BUgb_', 'BUgm_', 'BUgc_',
    'BUgw_', 'BUyk_', 'BUyr_', 'BUyg_', 'BUyb_',
    'BUym_', 'BUyc_', 'BUyw_', 'BUbk_', 'BUbr_',
    'BUbg_', 'BUby_', 'BUbm_', 'BUbc_', 'BUbw_',
    'BUmk_', 'BUmr_', 'BUmg_', 'BUmy_', 'BUmb_',
    'BUmc_', 'BUmw_', 'BUck_', 'BUcr_', 'BUcg_',
    'BUcy_', 'BUcb_', 'BUcm_', 'BUcw_', 'BUwk_',
    'BUwr_', 'BUwg_', 'BUwy_', 'BUwb_', 'BUwm_',
    'BUwc_', 'DIk_', 'DIr_', 'DIg_', 'DIy_',
    'DIb_', 'DIm_', 'DIc_', 'DIw_', 'DIkr_',
    'DIkg_', 'DIky_', 'DIkb_', 'DIkm_', 'DIkc_',
    'DIkw_', 'DIrk_', 'DIrg_', 'DIry_', 'DIrb_',
    'DIrm_', 'DIrc_', 'DIrw_', 'DIgk_', 'DIgr_',
    'DIgy_', 'DIgb_', 'DIgm_', 'DIgc_', 'DIgw_',
    'DIyk_', 'DIyr_', 'DIyg_', 'DIyb_', 'DIym_',
    'DIyc_', 'DIyw_', 'DIbk_', 'DIbr_', 'DIbg_',
    'DIby_', 'DIbm_', 'DIbc_', 'DIbw_', 'DImk_',
    'DImr_', 'DImg_', 'DImy_', 'DImb_', 'DImc_',
    'DImw_', 'DIck_', 'DIcr_', 'DIcg_', 'DIcy_',
    'DIcb_', 'DIcm_', 'DIcw_', 'DIwk_', 'DIwr_',
    'DIwg_', 'DIwy_', 'DIwb_', 'DIwm_', 'DIwc_',
    'DSk_', 'DSr_', 'DSg_', 'DSy_', 'DSb_',
    'DSm_', 'DSc_', 'DSw_', 'DSkr_', 'DSkg_',
    'DSky_', 'DSkb_', 'DSkm_', 'DSkc_', 'DSkw_',
    'DSrk_', 'DSrg_', 'DSry_', 'DSrb_', 'DSrm_',
    'DSrc_', 'DSrw_', 'DSgk_', 'DSgr_', 'DSgy_',
    'DSgb_', 'DSgm_', 'DSgc_', 'DSgw_', 'DSyk_',
    'DSyr_', 'DSyg_', 'DSyb_', 'DSym_', 'DSyc_',
    'DSyw_', 'DSbk_', 'DSbr_', 'DSbg_', 'DSby_',
    'DSbm_', 'DSbc_', 'DSbw_', 'DSmk_', 'DSmr_',
    'DSmg_', 'DSmy_', 'DSmb_', 'DSmc_', 'DSmw_',
    'DSck_', 'DScr_', 'DScg_', 'DScy_', 'DScb_',
    'DScm_', 'DScw_', 'DSwk_', 'DSwr_', 'DSwg_',
    'DSwy_', 'DSwb_', 'DSwm_', 'DSwc_', 'DUk_',
    'DUr_', 'DUg_', 'DUy_', 'DUb_', 'DUm_',
    'DUc_', 'DUw_', 'DUkr_', 'DUkg_', 'DUky_',
    'DUkb_', 'DUkm_', 'DUkc_', 'DUkw_', 'DUrk_',
    'DUrg_', 'DUry_', 'DUrb_', 'DUrm_', 'DUrc_',
    'DUrw_', 'DUgk_', 'DUgr_', 'DUgy_', 'DUgb_',
    'DUgm_', 'DUgc_', 'DUgw_', 'DUyk_', 'DUyr_',
    'DUyg_', 'DUyb_', 'DUym_', 'DUyc_', 'DUyw_',
    'DUbk_', 'DUbr_', 'DUbg_', 'DUby_', 'DUbm_',
    'DUbc_', 'DUbw_', 'DUmk_', 'DUmr_', 'DUmg_',
    'DUmy_', 'DUmb_', 'DUmc_', 'DUmw_', 'DUck_',
    'DUcr_', 'DUcg_', 'DUcy_', 'DUcb_', 'DUcm_',
    'DUcw_', 'DUwk_', 'DUwr_', 'DUwg_', 'DUwy_',
    'DUwb_', 'DUwm_', 'DUwc_', 'ISk_', 'ISr_',
    'ISg_', 'ISy_', 'ISb_', 'ISm_', 'ISc_',
    'ISw_', 'ISkr_', 'ISkg_', 'ISky_', 'ISkb_',
    'ISkm_', 'ISkc_', 'ISkw_', 'ISrk_', 'ISrg_',
    'ISry_', 'ISrb_', 'ISrm_', 'ISrc_', 'ISrw_',
    'ISgk_', 'ISgr_', 'ISgy_', 'ISgb_', 'ISgm_',
    'ISgc_', 'ISgw_', 'ISyk_', 'ISyr_', 'ISyg_',
    'ISyb_', 'ISym_', 'ISyc_', 'ISyw_', 'ISbk_',
    'ISbr_', 'ISbg_', 'ISby_', 'ISbm_', 'ISbc_',
    'ISbw_', 'ISmk_', 'ISmr_', 'ISmg_', 'ISmy_',
    'ISmb_', 'ISmc_', 'ISmw_', 'ISck_', 'IScr_',
    'IScg_', 'IScy_', 'IScb_', 'IScm_', 'IScw_',
    'ISwk_', 'ISwr_', 'ISwg_', 'ISwy_', 'ISwb_',
    'ISwm_', 'ISwc_', 'IUk_', 'IUr_', 'IUg_',
    'IUy_', 'IUb_', 'IUm_', 'IUc_', 'IUw_',
    'IUkr_', 'IUkg_', 'IUky_', 'IUkb_', 'IUkm_',
    'IUkc_', 'IUkw_', 'IUrk_', 'IUrg_', 'IUry_',
    'IUrb_', 'IUrm_', 'IUrc_', 'IUrw_', 'IUgk_',
    'IUgr_', 'IUgy_', 'IUgb_', 'IUgm_', 'IUgc_',
    'IUgw_', 'IUyk_', 'IUyr_', 'IUyg_', 'IUyb_',
    'IUym_', 'IUyc_', 'IUyw_', 'IUbk_', 'IUbr_',
    'IUbg_', 'IUby_', 'IUbm_', 'IUbc_', 'IUbw_',
    'IUmk_', 'IUmr_', 'IUmg_', 'IUmy_', 'IUmb_',
    'IUmc_', 'IUmw_', 'IUck_', 'IUcr_', 'IUcg_',
    'IUcy_', 'IUcb_', 'IUcm_', 'IUcw_', 'IUwk_',
    'IUwr_', 'IUwg_', 'IUwy_', 'IUwb_', 'IUwm_',
    'IUwc_', 'SUk_', 'SUr_', 'SUg_', 'SUy_',
    'SUb_', 'SUm_', 'SUc_', 'SUw_', 'SUkr_',
    'SUkg_', 'SUky_', 'SUkb_', 'SUkm_', 'SUkc_',
    'SUkw_', 'SUrk_', 'SUrg_', 'SUry_', 'SUrb_',
    'SUrm_', 'SUrc_', 'SUrw_', 'SUgk_', 'SUgr_',
    'SUgy_', 'SUgb_', 'SUgm_', 'SUgc_', 'SUgw_',
    'SUyk_', 'SUyr_', 'SUyg_', 'SUyb_', 'SUym_',
    'SUyc_', 'SUyw_', 'SUbk_', 'SUbr_', 'SUbg_',
    'SUby_', 'SUbm_', 'SUbc_', 'SUbw_', 'SUmk_',
    'SUmr_', 'SUmg_', 'SUmy_', 'SUmb_', 'SUmc_',
    'SUmw_', 'SUck_', 'SUcr_', 'SUcg_', 'SUcy_',
    'SUcb_', 'SUcm_', 'SUcw_', 'SUwk_', 'SUwr_',
    'SUwg_', 'SUwy_', 'SUwb_', 'SUwm_', 'SUwc_',
    'BDIk_', 'BDIr_', 'BDIg_', 'BDIy_', 'BDIb_',
    'BDIm_', 'BDIc_', 'BDIw_', 'BDIkr_', 'BDIkg_',
    'BDIky_', 'BDIkb_', 'BDIkm_', 'BDIkc_', 'BDIkw_',
    'BDIrk_', 'BDIrg_', 'BDIry_', 'BDIrb_', 'BDIrm_',
    'BDIrc_', 'BDIrw_', 'BDIgk_', 'BDIgr_', 'BDIgy_',
    'BDIgb_', 'BDIgm_', 'BDIgc_', 'BDIgw_', 'BDIyk_',
    'BDIyr_', 'BDIyg_', 'BDIyb_', 'BDIym_', 'BDIyc_',
    'BDIyw_', 'BDIbk_', 'BDIbr_', 'BDIbg_', 'BDIby_',
    'BDIbm_', 'BDIbc_', 'BDIbw_', 'BDImk_', 'BDImr_',
    'BDImg_', 'BDImy_', 'BDImb_', 'BDImc_', 'BDImw_',
    'BDIck_', 'BDIcr_', 'BDIcg_', 'BDIcy_', 'BDIcb_',
    'BDIcm_', 'BDIcw_', 'BDIwk_', 'BDIwr_', 'BDIwg_',
    'BDIwy_', 'BDIwb_', 'BDIwm_', 'BDIwc_', 'BDSk_',
    'BDSr_', 'BDSg_', 'BDSy_', 'BDSb_', 'BDSm_',
    'BDSc_', 'BDSw_', 'BDSkr_', 'BDSkg_', 'BDSky_',
    'BDSkb_', 'BDSkm_', 'BDSkc_', 'BDSkw_', 'BDSrk_',
    'BDSrg_', 'BDSry_', 'BDSrb_', 'BDSrm_', 'BDSrc_',
    'BDSrw_', 'BDSgk_', 'BDSgr_', 'BDSgy_', 'BDSgb_',
    'BDSgm_', 'BDSgc_', 'BDSgw_', 'BDSyk_', 'BDSyr_',
    'BDSyg_', 'BDSyb_', 'BDSym_', 'BDSyc_', 'BDSyw_',
    'BDSbk_', 'BDSbr_', 'BDSbg_', 'BDSby_', 'BDSbm_',
    'BDSbc_', 'BDSbw_', 'BDSmk_', 'BDSmr_', 'BDSmg_',
    'BDSmy_', 'BDSmb_', 'BDSmc_', 'BDSmw_', 'BDSck_',
    'BDScr_', 'BDScg_', 'BDScy_', 'BDScb_', 'BDScm_',
    'BDScw_', 'BDSwk_', 'BDSwr_', 'BDSwg_', 'BDSwy_',
    'BDSwb_', 'BDSwm_', 'BDSwc_', 'BDUk_', 'BDUr_',
    'BDUg_', 'BDUy_', 'BDUb_', 'BDUm_', 'BDUc_',
    'BDUw_', 'BDUkr_', 'BDUkg_', 'BDUky_', 'BDUkb_',
    'BDUkm_', 'BDUkc_', 'BDUkw_', 'BDUrk_', 'BDUrg_',
    'BDUry_', 'BDUrb_', 'BDUrm_', 'BDUrc_', 'BDUrw_',
    'BDUgk_', 'BDUgr_', 'BDUgy_', 'BDUgb_', 'BDUgm_',
    'BDUgc_', 'BDUgw_', 'BDUyk_', 'BDUyr_', 'BDUyg_',
    'BDUyb_', 'BDUym_', 'BDUyc_', 'BDUyw_', 'BDUbk_',
    'BDUbr_', 'BDUbg_', 'BDUby_', 'BDUbm_', 'BDUbc_',
    'BDUbw_', 'BDUmk_', 'BDUmr_', 'BDUmg_', 'BDUmy_',
    'BDUmb_', 'BDUmc_', 'BDUmw_', 'BDUck_', 'BDUcr_',
    'BDUcg_', 'BDUcy_', 'BDUcb_', 'BDUcm_', 'BDUcw_',
    'BDUwk_', 'BDUwr_', 'BDUwg_', 'BDUwy_', 'BDUwb_',
    'BDUwm_', 'BDUwc_', 'BISk_', 'BISr_', 'BISg_',
    'BISy_', 'BISb_', 'BISm_', 'BISc_', 'BISw_',
    'BISkr_', 'BISkg_', 'BISky_', 'BISkb_', 'BISkm_',
    'BISkc_', 'BISkw_', 'BISrk_', 'BISrg_', 'BISry_',
    'BISrb_', 'BISrm_', 'BISrc_', 'BISrw_', 'BISgk_',
    'BISgr_', 'BISgy_', 'BISgb_', 'BISgm_', 'BISgc_',
    'BISgw_', 'BISyk_', 'BISyr_', 'BISyg_', 'BISyb_',
    'BISym_', 'BISyc_', 'BISyw_', 'BISbk_', 'BISbr_',
    'BISbg_', 'BISby_', 'BISbm_', 'BISbc_', 'BISbw_',
    'BISmk_', 'BISmr_', 'BISmg_', 'BISmy_', 'BISmb_',
    'BISmc_', 'BISmw_', 'BISck_', 'BIScr_', 'BIScg_',
    'BIScy_', 'BIScb_', 'BIScm_', 'BIScw_', 'BISwk_',
    'BISwr_', 'BISwg_', 'BISwy_', 'BISwb_', 'BISwm_',
    'BISwc_', 'BIUk_', 'BIUr_', 'BIUg_', 'BIUy_',
    'BIUb_', 'BIUm_', 'BIUc_', 'BIUw_', 'BIUkr_',
    'BIUkg_', 'BIUky_', 'BIUkb_', 'BIUkm_', 'BIUkc_',
    'BIUkw_', 'BIUrk_', 'BIUrg_', 'BIUry_', 'BIUrb_',
    'BIUrm_', 'BIUrc_', 'BIUrw_', 'BIUgk_', 'BIUgr_',
    'BIUgy_', 'BIUgb_', 'BIUgm_', 'BIUgc_', 'BIUgw_',
    'BIUyk_', 'BIUyr_', 'BIUyg_', 'BIUyb_', 'BIUym_',
    'BIUyc_', 'BIUyw_', 'BIUbk_', 'BIUbr_', 'BIUbg_',
    'BIUby_', 'BIUbm_', 'BIUbc_', 'BIUbw_', 'BIUmk_',
    'BIUmr_', 'BIUmg_', 'BIUmy_', 'BIUmb_', 'BIUmc_',
    'BIUmw_', 'BIUck_', 'BIUcr_', 'BIUcg_', 'BIUcy_',
    'BIUcb_', 'BIUcm_', 'BIUcw_', 'BIUwk_', 'BIUwr_',
    'BIUwg_', 'BIUwy_', 'BIUwb_', 'BIUwm_', 'BIUwc_',
    'BSUk_', 'BSUr_', 'BSUg_', 'BSUy_', 'BSUb_',
    'BSUm_', 'BSUc_', 'BSUw_', 'BSUkr_', 'BSUkg_',
    'BSUky_', 'BSUkb_', 'BSUkm_', 'BSUkc_', 'BSUkw_',
    'BSUrk_', 'BSUrg_', 'BSUry_', 'BSUrb_', 'BSUrm_',
    'BSUrc_', 'BSUrw_', 'BSUgk_', 'BSUgr_', 'BSUgy_',
    'BSUgb_', 'BSUgm_', 'BSUgc_', 'BSUgw_', 'BSUyk_',
    'BSUyr_', 'BSUyg_', 'BSUyb_', 'BSUym_', 'BSUyc_',
    'BSUyw_', 'BSUbk_', 'BSUbr_', 'BSUbg_', 'BSUby_',
    'BSUbm_', 'BSUbc_', 'BSUbw_', 'BSUmk_', 'BSUmr_',
    'BSUmg_', 'BSUmy_', 'BSUmb_', 'BSUmc_', 'BSUmw_',
    'BSUck_', 'BSUcr_', 'BSUcg_', 'BSUcy_', 'BSUcb_',
    'BSUcm_', 'BSUcw_', 'BSUwk_', 'BSUwr_', 'BSUwg_',
    'BSUwy_', 'BSUwb_', 'BSUwm_', 'BSUwc_', 'DISk_',
    'DISr_', 'DISg_', 'DISy_', 'DISb_', 'DISm_',
    'DISc_', 'DISw_', 'DISkr_', 'DISkg_', 'DISky_',
    'DISkb_', 'DISkm_', 'DISkc_', 'DISkw_', 'DISrk_',
    'DISrg_', 'DISry_', 'DISrb_', 'DISrm_', 'DISrc_',
    'DISrw_', 'DISgk_', 'DISgr_', 'DISgy_', 'DISgb_',
    'DISgm_', 'DISgc_', 'DISgw_', 'DISyk_', 'DISyr_',
    'DISyg_', 'DISyb_', 'DISym_', 'DISyc_', 'DISyw_',
    'DISbk_', 'DISbr_', 'DISbg_', 'DISby_', 'DISbm_',
    'DISbc_', 'DISbw_', 'DISmk_', 'DISmr_', 'DISmg_',
    'DISmy_', 'DISmb_', 'DISmc_', 'DISmw_', 'DISck_',
    'DIScr_', 'DIScg_', 'DIScy_', 'DIScb_', 'DIScm_',
    'DIScw_', 'DISwk_', 'DISwr_', 'DISwg_', 'DISwy_',
    'DISwb_', 'DISwm_', 'DISwc_', 'DIUk_', 'DIUr_',
    'DIUg_', 'DIUy_', 'DIUb_', 'DIUm_', 'DIUc_',
    'DIUw_', 'DIUkr_', 'DIUkg_', 'DIUky_', 'DIUkb_',
    'DIUkm_', 'DIUkc_', 'DIUkw_', 'DIUrk_', 'DIUrg_',
    'DIUry_', 'DIUrb_', 'DIUrm_', 'DIUrc_', 'DIUrw_',
    'DIUgk_', 'DIUgr_', 'DIUgy_', 'DIUgb_', 'DIUgm_',
    'DIUgc_', 'DIUgw_', 'DIUyk_', 'DIUyr_', 'DIUyg_',
    'DIUyb_', 'DIUym_', 'DIUyc_', 'DIUyw_', 'DIUbk_',
    'DIUbr_', 'DIUbg_', 'DIUby_', 'DIUbm_', 'DIUbc_',
    'DIUbw_', 'DIUmk_', 'DIUmr_', 'DIUmg_', 'DIUmy_',
    'DIUmb_', 'DIUmc_', 'DIUmw_', 'DIUck_', 'DIUcr_',
    'DIUcg_', 'DIUcy_', 'DIUcb_', 'DIUcm_', 'DIUcw_',
    'DIUwk_', 'DIUwr_', 'DIUwg_', 'DIUwy_', 'DIUwb_',
    'DIUwm_', 'DIUwc_', 'DSUk_', 'DSUr_', 'DSUg_',
    'DSUy_', 'DSUb_', 'DSUm_', 'DSUc_', 'DSUw_',
    'DSUkr_', 'DSUkg_', 'DSUky_', 'DSUkb_', 'DSUkm_',
    'DSUkc_', 'DSUkw_', 'DSUrk_', 'DSUrg_', 'DSUry_',
    'DSUrb_', 'DSUrm_', 'DSUrc_', 'DSUrw_', 'DSUgk_',
    'DSUgr_', 'DSUgy_', 'DSUgb_', 'DSUgm_', 'DSUgc_',
    'DSUgw_', 'DSUyk_', 'DSUyr_', 'DSUyg_', 'DSUyb_',
    'DSUym_', 'DSUyc_', 'DSUyw_', 'DSUbk_', 'DSUbr_',
    'DSUbg_', 'DSUby_', 'DSUbm_', 'DSUbc_', 'DSUbw_',
    'DSUmk_', 'DSUmr_', 'DSUmg_', 'DSUmy_', 'DSUmb_',
    'DSUmc_', 'DSUmw_', 'DSUck_', 'DSUcr_', 'DSUcg_',
    'DSUcy_', 'DSUcb_', 'DSUcm_', 'DSUcw_', 'DSUwk_',
    'DSUwr_', 'DSUwg_', 'DSUwy_', 'DSUwb_', 'DSUwm_',
    'DSUwc_', 'ISUk_', 'ISUr_', 'ISUg_', 'ISUy_',
    'ISUb_', 'ISUm_', 'ISUc_', 'ISUw_', 'ISUkr_',
    'ISUkg_', 'ISUky_', 'ISUkb_', 'ISUkm_', 'ISUkc_',
    'ISUkw_', 'ISUrk_', 'ISUrg_', 'ISUry_', 'ISUrb_',
    'ISUrm_', 'ISUrc_', 'ISUrw_', 'ISUgk_', 'ISUgr_',
    'ISUgy_', 'ISUgb_', 'ISUgm_', 'ISUgc_', 'ISUgw_',
    'ISUyk_', 'ISUyr_', 'ISUyg_', 'ISUyb_', 'ISUym_',
    'ISUyc_', 'ISUyw_', 'ISUbk_', 'ISUbr_', 'ISUbg_',
    'ISUby_', 'ISUbm_', 'ISUbc_', 'ISUbw_', 'ISUmk_',
    'ISUmr_', 'ISUmg_', 'ISUmy_', 'ISUmb_', 'ISUmc_',
    'ISUmw_', 'ISUck_', 'ISUcr_', 'ISUcg_', 'ISUcy_',
    'ISUcb_', 'ISUcm_', 'ISUcw_', 'ISUwk_', 'ISUwr_',
    'ISUwg_', 'ISUwy_', 'ISUwb_', 'ISUwm_', 'ISUwc_',
    'BDISk_', 'BDISr_', 'BDISg_', 'BDISy_', 'BDISb_',
    'BDISm_', 'BDISc_', 'BDISw_', 'BDISkr_', 'BDISkg_',
    'BDISky_', 'BDISkb_', 'BDISkm_', 'BDISkc_', 'BDISkw_',
    'BDISrk_', 'BDISrg_', 'BDISry_', 'BDISrb_', 'BDISrm_',
    'BDISrc_', 'BDISrw_', 'BDISgk_', 'BDISgr_', 'BDISgy_',
    'BDISgb_', 'BDISgm_', 'BDISgc_', 'BDISgw_', 'BDISyk_',
    'BDISyr_', 'BDISyg_', 'BDISyb_', 'BDISym_', 'BDISyc_',
    'BDISyw_', 'BDISbk_', 'BDISbr_', 'BDISbg_', 'BDISby_',
    'BDISbm_', 'BDISbc_', 'BDISbw_', 'BDISmk_', 'BDISmr_',
    'BDISmg_', 'BDISmy_', 'BDISmb_', 'BDISmc_', 'BDISmw_',
    'BDISck_', 'BDIScr_', 'BDIScg_', 'BDIScy_', 'BDIScb_',
    'BDIScm_', 'BDIScw_', 'BDISwk_', 'BDISwr_', 'BDISwg_',
    'BDISwy_', 'BDISwb_', 'BDISwm_', 'BDISwc_', 'BDIUk_',
    'BDIUr_', 'BDIUg_', 'BDIUy_', 'BDIUb_', 'BDIUm_',
    'BDIUc_', 'BDIUw_', 'BDIUkr_', 'BDIUkg_', 'BDIUky_',
    'BDIUkb_', 'BDIUkm_', 'BDIUkc_', 'BDIUkw_', 'BDIUrk_',
    'BDIUrg_', 'BDIUry_', 'BDIUrb_', 'BDIUrm_', 'BDIUrc_',
    'BDIUrw_', 'BDIUgk_', 'BDIUgr_', 'BDIUgy_', 'BDIUgb_',
    'BDIUgm_', 'BDIUgc_', 'BDIUgw_', 'BDIUyk_', 'BDIUyr_',
    'BDIUyg_', 'BDIUyb_', 'BDIUym_', 'BDIUyc_', 'BDIUyw_',
    'BDIUbk_', 'BDIUbr_', 'BDIUbg_', 'BDIUby_', 'BDIUbm_',
    'BDIUbc_', 'BDIUbw_', 'BDIUmk_', 'BDIUmr_', 'BDIUmg_',
    'BDIUmy_', 'BDIUmb_', 'BDIUmc_', 'BDIUmw_', 'BDIUck_',
    'BDIUcr_', 'BDIUcg_', 'BDIUcy_', 'BDIUcb_', 'BDIUcm_',
    'BDIUcw_', 'BDIUwk_', 'BDIUwr_', 'BDIUwg_', 'BDIUwy_',
    'BDIUwb_', 'BDIUwm_', 'BDIUwc_', 'BDSUk_', 'BDSUr_',
    'BDSUg_', 'BDSUy_', 'BDSUb_', 'BDSUm_', 'BDSUc_',
    'BDSUw_', 'BDSUkr_', 'BDSUkg_', 'BDSUky_', 'BDSUkb_',
    'BDSUkm_', 'BDSUkc_', 'BDSUkw_', 'BDSUrk_', 'BDSUrg_',
    'BDSUry_', 'BDSUrb_', 'BDSUrm_', 'BDSUrc_', 'BDSUrw_',
    'BDSUgk_', 'BDSUgr_', 'BDSUgy_', 'BDSUgb_', 'BDSUgm_',
    'BDSUgc_', 'BDSUgw_', 'BDSUyk_', 'BDSUyr_', 'BDSUyg_',
    'BDSUyb_', 'BDSUym_', 'BDSUyc_', 'BDSUyw_', 'BDSUbk_',
    'BDSUbr_', 'BDSUbg_', 'BDSUby_', 'BDSUbm_', 'BDSUbc_',
    'BDSUbw_', 'BDSUmk_', 'BDSUmr_', 'BDSUmg_', 'BDSUmy_',
    'BDSUmb_', 'BDSUmc_', 'BDSUmw_', 'BDSUck_', 'BDSUcr_',
    'BDSUcg_', 'BDSUcy_', 'BDSUcb_', 'BDSUcm_', 'BDSUcw_',
    'BDSUwk_', 'BDSUwr_', 'BDSUwg_', 'BDSUwy_', 'BDSUwb_',
    'BDSUwm_', 'BDSUwc_', 'BISUk_', 'BISUr_', 'BISUg_',
    'BISUy_', 'BISUb_', 'BISUm_', 'BISUc_', 'BISUw_',
    'BISUkr_', 'BISUkg_', 'BISUky_', 'BISUkb_', 'BISUkm_',
    'BISUkc_', 'BISUkw_', 'BISUrk_', 'BISUrg_', 'BISUry_',
    'BISUrb_', 'BISUrm_', 'BISUrc_', 'BISUrw_', 'BISUgk_',
    'BISUgr_', 'BISUgy_', 'BISUgb_', 'BISUgm_', 'BISUgc_',
    'BISUgw_', 'BISUyk_', 'BISUyr_', 'BISUyg_', 'BISUyb_',
    'BISUym_', 'BISUyc_', 'BISUyw_', 'BISUbk_', 'BISUbr_',
    'BISUbg_', 'BISUby_', 'BISUbm_', 'BISUbc_', 'BISUbw_',
    'BISUmk_', 'BISUmr_', 'BISUmg_', 'BISUmy_', 'BISUmb_',
    'BISUmc_', 'BISUmw_', 'BISUck_', 'BISUcr_', 'BISUcg_',
    'BISUcy_', 'BISUcb_', 'BISUcm_', 'BISUcw_', 'BISUwk_',
    'BISUwr_', 'BISUwg_', 'BISUwy_', 'BISUwb_', 'BISUwm_',
    'BISUwc_', 'DISUk_', 'DISUr_', 'DISUg_', 'DISUy_',
    'DISUb_', 'DISUm_', 'DISUc_', 'DISUw_', 'DISUkr_',
    'DISUkg_', 'DISUky_', 'DISUkb_', 'DISUkm_', 'DISUkc_',
    'DISUkw_', 'DISUrk_', 'DISUrg_', 'DISUry_', 'DISUrb_',
    'DISUrm_', 'DISUrc_', 'DISUrw_', 'DISUgk_', 'DISUgr_',
    'DISUgy_', 'DISUgb_', 'DISUgm_', 'DISUgc_', 'DISUgw_',
    'DISUyk_', 'DISUyr_', 'DISUyg_', 'DISUyb_', 'DISUym_',
    'DISUyc_', 'DISUyw_', 'DISUbk_', 'DISUbr_', 'DISUbg_',
    'DISUby_', 'DISUbm_', 'DISUbc_', 'DISUbw_', 'DISUmk_',
    'DISUmr_', 'DISUmg_', 'DISUmy_', 'DISUmb_', 'DISUmc_',
    'DISUmw_', 'DISUck_', 'DISUcr_', 'DISUcg_', 'DISUcy_',
    'DISUcb_', 'DISUcm_', 'DISUcw_', 'DISUwk_', 'DISUwr_',
    'DISUwg_', 'DISUwy_', 'DISUwb_', 'DISUwm_', 'DISUwc_',
    'BDISUk_', 'BDISUr_', 'BDISUg_', 'BDISUy_', 'BDISUb_',
    'BDISUm_', 'BDISUc_', 'BDISUw_', 'BDISUkr_', 'BDISUkg_',
    'BDISUky_', 'BDISUkb_', 'BDISUkm_', 'BDISUkc_', 'BDISUkw_',
    'BDISUrk_', 'BDISUrg_', 'BDISUry_', 'BDISUrb_', 'BDISUrm_',
    'BDISUrc_', 'BDISUrw_', 'BDISUgk_', 'BDISUgr_', 'BDISUgy_',
    'BDISUgb_', 'BDISUgm_', 'BDISUgc_', 'BDISUgw_', 'BDISUyk_',
    'BDISUyr_', 'BDISUyg_', 'BDISUyb_', 'BDISUym_', 'BDISUyc_',
    'BDISUyw_', 'BDISUbk_', 'BDISUbr_', 'BDISUbg_', 'BDISUby_',
    'BDISUbm_', 'BDISUbc_', 'BDISUbw_', 'BDISUmk_', 'BDISUmr_',
    'BDISUmg_', 'BDISUmy_', 'BDISUmb_', 'BDISUmc_', 'BDISUmw_',
    'BDISUck_', 'BDISUcr_', 'BDISUcg_', 'BDISUcy_', 'BDISUcb_',
    'BDISUcm_', 'BDISUcw_', 'BDISUwk_', 'BDISUwr_', 'BDISUwg_',
    'BDISUwy_', 'BDISUwb_', 'BDISUwm_', 'BDISUwc_',
]

__all__ = [
              'COLOR_HELPER',
              'Chain',
              'HELPER',
              'STYLE_HELPER',
              'VERSION',
              'registered',
              'with_paragraph',
          ] + hard_registered
